1. modul
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
    • post
    • put
    • updateStatus
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
          POST
        • put
          PUT
        • active status
          PATCH
        • show
          GET
    • student
      • submit answer
  • generate
    • question sugesstion
  1. modul

show

Developing
GET
/playgrounds/{playgroundId}/module/{moduleId}

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leksigo.com/api/v2/playgrounds/{{playgroundId}}/module/{{moduleId}}' \
--header 'Authorization: Bearer {{accessToken}}'
Response Response Example
Success
{
    "success": true,
    "message": "Modul berhasil diambil",
    "data": {
        "modul": {
            "title": "Judul latihan assessment",
            "content": "Assessment Mode",
            "ordering": 1,
            "date": "2026-05-15T03:30:35.892Z",
            "type": 2,
            "point": "65",
            "isReaded": false,
            "isActive": true,
            "questions": [
                {
                    "method": "1",
                    "code": "869cbe78cf3453ead151dbbdf8819671",
                    "key": "Jawaban A",
                    "question": {
                        "value": "Pertanyaan Baru pertama",
                        "type": "text"
                    },
                    "_id": "6a06935be2a5d896c5c710a8"
                },
                {
                    "method": "1",
                    "code": "38dc1e420e4dd8d5db66f2ff13006740",
                    "key": "Jawaban B",
                    "question": {
                        "value": "Tambah pertanyaan baru di list ini",
                        "type": "text"
                    },
                    "_id": "6a06935ce2a5d896c5c710a9"
                }
            ],
            "_id": "6a06935be2a5d896c5c710a7",
            "answers": [
                {
                    "questionId": "6a06935be2a5d896c5c710a8",
                    "timeOpened": "2023-10-27T10:00:00.000Z",
                    "timeAnswered": "2023-10-27T10:00:15.000Z",
                    "duration": "15s",
                    "similarityPoint": "95",
                    "answer": {
                        "text": "Buku",
                        "file": "storage/answers/audio-123.mp3"
                    },
                    "_id": "6a0697458fba52b018edbe3c"
                },
                {
                    "questionId": "6a06935be2a5d896c5c710a8",
                    "timeOpened": "2023-10-27T10:00:00.000Z",
                    "timeAnswered": "2023-10-27T10:00:15.000Z",
                    "duration": "15s",
                    "similarityPoint": "95",
                    "answer": {
                        "text": "Buku",
                        "file": "storage/answers/audio-123.mp3"
                    },
                    "_id": "6a0697d98fba52b018edbe41"
                }
            ]
        },
        "playground": {
            "title": "Judul Course",
            "description": "Ini deskripsi dari course satu [1]"
        }
    }
}
Modified at 2026-07-28 13:56:03
Previous
active status
Next
submit answer
Built with